# RPM specfile for gnome-pilot-conduits module
# Generated Tue Jan 15 22:10:30 2002 GMT by Ximian build system
# $Id: bb_do,v 1.157 2002/01/03 21:45:57 dobey Exp $
# from $Id: ximian-build.conf,v 1.1 2001/10/23 22:14:04 peter Exp $

%define nam	gnome-pilot-conduits
%define ver	0.8

Name:     	gnome-pilot-conduits
Version: 	0.8
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://gnome.org/
Source0:	gnome-pilot-conduits-0.8.tar.gz
Summary:	Extra gnome-pilot conduits
Group:		Applications/Communications

%description
This is a collection of additional conduits for gnome-pilot, it
currently features a MAL conduit for AvantGo syncing

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/pixmaps/*
/usr/share/gnome-pilot/conduits/*
/usr/lib/gnome-pilot/conduits/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-conduits-0.8
    ;;
all)
%setup  -q -n gnome-pilot-conduits-0.8
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Jan 15 2002 Ximian, Inc.

- Version: 0.8-ximian.1
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 0.7-ximian.1
- Imported into packaging system.

